[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: openldap-2.3.20



Hi Marc,

Marc Balmer [Sun, Mar 12, 2006 at 01:27:37PM +0100] wrote:
>- some people(*) were not happy with linking to cyrus-sasl
>  by default, I reverted that to the FLAVOR we had before
>
What's the problem with it? If you disable sasl by default, a lot of 
other ports will need fixes/adjustments. (You remember the day where 
you enabled sasl by default? ;) )

>- update to the latest version, see www.openldap.org for
>  changes
>
>- Marc Balmer
>
>(*) some people live in zurich and hamburg...

> ...
> MODGNU_SHARED_LIBS=	lber-2.3	'' \
> 			lber		'' \
> 			ldap-2.3	'' \
> ...
>
I think we can remove the MODGNU_SHARED_LIBS stuff and some patches as 
well.

> ...
>-lib/liblber.a
>-lib/liblber.la
>-lib/libldap.a
>-lib/libldap.la
>-lib/libldap_r.a
>-lib/libldap_r.la
>+_(_at_)_comment lib/liblber.a
>+_(_at_)_comment lib/liblber.la
>+_(_at_)_comment lib/libldap.a
>+_(_at_)_comment lib/libldap.la
>+_(_at_)_comment lib/libldap_r.a
>+_(_at_)_comment lib/libldap_r.la
> ...
>
Why do you @comment these?

>--- databases/openldap/pkg/PLIST-server	Sun Mar 12 13:21:23 2006
>+++ mystuff/ports/databases/openldap/pkg/PLIST-server	Sun Mar 12 13:04:44 2006
>@@ -1,5 +1,4 @@
>-_(_at_)_comment $OpenBSD: PLIST-server,v 1.13 2006/02/28 16:27:53 bernd Exp $
>-_(_at_)_conflict openldap-client->=2.3.11,<=2.3.11p3
>
Why do you remove the @conflict entry? That's wrong. The conflict line is 
still needed.

>+_(_at_)_comment $OpenBSD: PLIST-server,v 1.12 2005/11/12 18:12:06 mbalmer Exp 
>...
>+_(_at_)_man man/man5/slapo-accesslog.5
>+_(_at_)_man man/man5/slapo-auditlog.5
>+_(_at_)_man man/man5/slapo-chain.5
>+_(_at_)_man man/man5/slapo-dynlist.5
>+_(_at_)_man man/man5/slapo-lastmod.5
>+_(_at_)_man man/man5/slapo-pcache.5
>+_(_at_)_man man/man5/slapo-ppolicy.5
>+_(_at_)_man man/man5/slapo-refint.5
>+_(_at_)_man man/man5/slapo-retcode.5
>+_(_at_)_man man/man5/slapo-rwm.5
>+_(_at_)_man man/man5/slapo-syncprov.5
>+_(_at_)_man man/man5/slapo-translucent.5
>+_(_at_)_man man/man5/slapo-unique.5
>+_(_at_)_man man/man5/slapo-valsort.5
>+_(_at_)_man man/man8/slapacl.8
> @man man/man8/slapadd.8
>+_(_at_)_man man/man8/slapauth.8
> @man man/man8/slapcat.8
> @man man/man8/slapd.8
> @man man/man8/slapdn.8
>@@ -31,7 +46,9 @@
> @man man/man8/slappasswd.8
> @man man/man8/slaptest.8
> @man man/man8/slurpd.8
>+sbin/slapacl
> sbin/slapadd
>+sbin/slapauth
> sbin/slapcat
> sbin/slapdn
> sbin/slapindex
>
If you move this stuff from the -client package to the -server package, 
the new -server package will conflict with older -client packages.

So you have to extend the @conflict line... (and not remove it ;) )

Bernd



Visit your host, monkey.org